Loading...
Searching...
No Matches
BNO08xTestSuite Class Reference

BNO08x unit test launch point class. More...

`#include <BNO08xTestSuite.hpp>`

## Static Public Member Functions

static void | run_all_tests ()
static void | run_init_deinit_tests (bool call_unity_end_begin=true)
static void | run_single_report_tests (bool call_unity_end_begin=true)
static void | run_multi_report_tests (bool call_unity_end_begin=true)
static void | run_callback_tests (bool call_unity_end_begin=true)

## Static Private Member Functions

static void | print_begin_tests_banner (const char *test_set_name)
static void | print_end_tests_banner (const char *test_set_name)

## Detailed Description

BNO08x unit test launch point class.

## Member Function Documentation

## print_begin_tests_banner()

static void BNO08xTestSuite::print_begin_tests_banner | ( | const char * | test_set_name | ) |

inlinestaticprivate

Here is the caller graph for this function:

## print_end_tests_banner()

static void BNO08xTestSuite::print_end_tests_banner | ( | const char * | test_set_name | ) |

inlinestaticprivate

Here is the caller graph for this function:

## run_all_tests()

static void BNO08xTestSuite::run_all_tests | ( |  | ) |

inlinestatic

Here is the call graph for this function:

## run_callback_tests()

static void BNO08xTestSuite::run_callback_tests | ( | bool | call_unity_end_begin = true | ) |

inlinestatic

Here is the call graph for this function:
Here is the caller graph for this function:

## run_init_deinit_tests()

static void BNO08xTestSuite::run_init_deinit_tests | ( | bool | call_unity_end_begin = true | ) |

inlinestatic

Here is the call graph for this function:
Here is the caller graph for this function:

## run_multi_report_tests()

static void BNO08xTestSuite::run_multi_report_tests | ( | bool | call_unity_end_begin = true | ) |

inlinestatic

Here is the call graph for this function:
Here is the caller graph for this function:

## run_single_report_tests()

static void BNO08xTestSuite::run_single_report_tests | ( | bool | call_unity_end_begin = true | ) |

inlinestatic

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- BNO08xTestSuite.hpp